Ads · Ad Targeting
Searches targeting interests. Works with Meta Ads.
GET
https://api.pozy.ai/v1/ads/interestsDeprecatedFacebook and InstagramsearchAdInterests
Guides: Pinterest Ads, Targeting
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
qrequired | string | |
accountIdrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/ads/interests?q=string&accountId=696e0b682d0a31188e7a2ba9" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/ads/interests?q=string&accountId=696e0b682d0a31188e7a2ba9", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/ads/interests",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"q": "string",
"accountId": "696e0b682d0a31188e7a2ba9",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
interestsarray of objectidstringnamestringcategorystring
200 response
{
"interests": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"name": "Acme",
"category": "string"
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.